# pydicom.filewriter.correct_ambiguous_vr_element

pydicom.filewriter.correct_ambiguous_vr_element(elem: DataElement, ds: Dataset, is_little_endian: bool) → DataElement

  Attempt to correct the ambiguous VR element elem.

  When it’s not possible to correct the VR, the element will be returned unchanged. Currently the only ambiguous VR elements not corrected for are all retired or part of DICONDE.

  If the VR is corrected and is ‘US’ or ‘SS’ then the value will be updated using the `convert_numbers()` function.

  Parameters:

    - elem (dataelem.DataElement) – The element with an ambiguous VR.

    - ds (dataset.Dataset) – The dataset containing elem.

    - is_little_endian (bool) – The byte ordering of the values in the dataset.

  Returns:

    The corrected element

  Return type:

    dataelem.DataElement